summaryrefslogtreecommitdiffstats
path: root/source/l/pyrex/pyrex.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/pyrex/pyrex.SlackBuild')
-rwxr-xr-xsource/l/pyrex/pyrex.SlackBuild31
1 files changed, 26 insertions, 5 deletions
diff --git a/source/l/pyrex/pyrex.SlackBuild b/source/l/pyrex/pyrex.SlackBuild
index fbd979fe0..42b9f7ccd 100755
--- a/source/l/pyrex/pyrex.SlackBuild
+++ b/source/l/pyrex/pyrex.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2007 David Somero <dsomero@hotmail.com>
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,9 +22,19 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.9.8.5
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+PKGNAM=Pyrex
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
if [ "${ARCH}" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -38,6 +48,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
@@ -49,7 +62,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf Pyrex-$VERSION
-tar xvf $CWD/Pyrex-$VERSION.tar.*z* || exit 1
+tar xvf $CWD/Pyrex-$VERSION.tar.?z* || exit 1
cd Pyrex-$VERSION
chown -R root:root .
find . \
@@ -68,6 +81,14 @@ cp -a \
README* INSTALL* USAGE* ToDo* \
$PKG/usr/doc/Pyrex-$VERSION
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r CHANGES.txt ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat CHANGES.txt | head -n 1000 > $DOCSDIR/CHANGES.txt
+ touch -r CHANGES.txt $DOCSDIR/CHANGES.txt
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc